LibItsGeoNetworking_Encdec.cc File Reference
`#include "LibItsGeoNetworking_EncdecDeclarations.hh"`
`#include "GeoNetworkingCodec.hh"`
`#include "UpperTesterGnCodec.hh"`
`#include "loggers.hh"`

## Namespaces

| LibItsGeoNetworking__EncdecDeclarations

## Functions

BITSTRING | LibItsGeoNetworking__EncdecDeclarations::fx__enc__GeoNetworkingReq (LibItsGeoNetworking__TestSystem::GeoNetworkingReq const &p_geoNetworkingReq)
INTEGER | LibItsGeoNetworking__EncdecDeclarations::fx__dec__GeoNetworkingReq (BITSTRING &b, LibItsGeoNetworking__TestSystem::GeoNetworkingReq &p)
BITSTRING | LibItsGeoNetworking__EncdecDeclarations::fx__enc__GeoNetworkingInd (LibItsGeoNetworking__TestSystem::GeoNetworkingInd const &p_geoNetworkingInd)
INTEGER | LibItsGeoNetworking__EncdecDeclarations::fx__dec__GeoNetworkingInd (BITSTRING &b, LibItsGeoNetworking__TestSystem::GeoNetworkingInd &p_geoNetworkingInd)
BITSTRING | LibItsGeoNetworking__EncdecDeclarations::fx__enc__GeoNetworkingPdu (LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu const &p_geoNetworkingPdu)
INTEGER | LibItsGeoNetworking__EncdecDeclarations::fx__dec__GeoNetworkingPdu (BITSTRING &b, LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu &p)
BITSTRING | LibItsGeoNetworking__EncdecDeclarations::fx__enc__GnNonSecuredPacket (const LibItsGeoNetworking__TypesAndValues::GnNonSecuredPacket &p_gnNonSecuredPacket)
INTEGER | LibItsGeoNetworking__EncdecDeclarations::fx__dec__GnNonSecuredPacket (BITSTRING &b, LibItsGeoNetworking__TypesAndValues::GnNonSecuredPacket &p)
BITSTRING | LibItsGeoNetworking__EncdecDeclarations::fx__enc__UtGnInitialize (const LibItsGeoNetworking__TypesAndValues::UtGnInitialize &p_utGnInitialize)
BITSTRING | LibItsGeoNetworking__EncdecDeclarations::fx__enc__UtGnChangePosition (const LibItsGeoNetworking__TypesAndValues::UtGnChangePosition &p_utGnChangePosition)
BITSTRING | LibItsGeoNetworking__EncdecDeclarations::fx__enc__UtGnTrigger (const LibItsGeoNetworking__TypesAndValues::UtGnTrigger &p_utGnTrigger)